Bug 57410 - groff behavier is odd for Japanese man
groff behavier is odd for Japanese man
Product: Red Hat Linux
Classification: Retired
Component: groff (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-12-11 16:32 EST by Nakai
Modified: 2007-04-18 12:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-17 05:56:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nakai 2001-12-11 16:32:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20010901

Description of problem:
In Japanese environment,

'man hexdump' shows weird warnings and doesn't show correctly.
Hyphen '-' will be replace to be 'F1'

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Add LANG=ja_JP.eucJP to /etc/sysconfig/i18n
2. Logout
3. Login
4. Make sure 'env | grep ja_JP.eucJP'
5. Make sure you have man-pages-ja
6. 'man hexdump' from terminal. You can use kterm, rxvt, gnome-terminal.

Actual Results:  It shows below warnings:

/usr/share/groff/1.17.2/tmac/docj.tmac:57: can't find macro file `mdoc/common'
/usr/share/groff/1.17.2/tmac/docj.tmac:58: can't find macro file `mdoc/syms'
<standard input>:64: warning: numeric expression expected (got `F')
<standard input>:205: warning: numeric expression expected (got `F')
and '-b' is showed up as 'F1b', '-c' is showed up as 'F1c'.
And the descrption in the NAME paragraph doesn't show up.

Additional info:

zcat /usr/share/man/ja/man1/hexdump.1.gz|LANG=japanese groff -Tnippon
-mandoc | less

works fine. So this is weird.

This problems is in RHL7.2, and doesn't fix with latest man-pages-ja,
groff, man
combination in 8.0 tree.

This is different report from
so not duplicated.
Comment 1 Florian La Roche 2002-11-18 10:47:37 EST
Can you please test this again with the current beta and groff-1.18.1-1?


Florian La Roche
Comment 2 Akira TAGOH 2002-11-21 02:03:38 EST
I tried it again with beta1 and groff 1.18.1-1. but it's not still fixed.
another error and warning are output:
/usr/share/groff/1.18.1/font/devnippon/M:5: error: missing code for `u0100..uFFFF'
troff: warning: can't find font `M'
/usr/share/groff/1.18.1/font/devnippon/G:5: error: missing code for `u0100..uFFFF'
troff: warning: can't find font `G'
<standard input>:47: warning: can't find character with input code 204

And manpage isn't still readable.
Comment 3 Markus Kuhn 2002-12-05 13:13:04 EST
See also Bug 79102 for a potentially related issue with solution.
Comment 4 Florian La Roche 2003-01-11 04:31:24 EST
The above output is fixed and multibyte support should now be
correctly enabled plus there have been bug-fixes with japanese html
recently. Can you please test groff-1.18.1-5 or newer and let me know
if this is resolving all issues?


Florian La Roche
Comment 5 Nakai 2003-01-17 05:56:27 EST
groff-1.18.1-7 seems to work.

Note You need to log in before you can comment on or make changes to this bug.